### Method

# GtkSource CompletionContext get_buffer

#### Declaration [src]

    GtkSourceBuffer*
    gtk_source_completion_context_get_buffer (
      GtkSourceCompletionContext* self
    )

#### Description [src]

Gets the underlying buffer used by the context.

This is a convenience function to get the buffer via the `GtkSourceCompletion` property.

#### Return value

Type: `GtkSourceBuffer`

A `GtkTextBuffer` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.